Subject: Credit Worksheets (ENA & EPMI) - MDEA/Clarksdale/Yazoo City
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 6 May 2001 05:46:00 -0700 (PDT)

Attached please find the proposed credit terms for the EPMI Master Power 
Purchase and Sale Agreement and the ENA Enfolio Agreements.  Kay Mann and 
Reagan Rorschach are currently working on closing an Energy Management 
Services Agreement and these additional documents are an intergral part of 
the management agmt.  We anticipate closing by the end of the month, so 
please place these contracts on your list of "high" priorities.  Comments or 
questions, please call.

Ed Sacks
x5-7712